Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_Notify_Service Class Reference

A service object for creating the Notify Service Factory. More...

`#include <Notify_Service.h>`

Inheritance diagram for TAO_NS_Notify_Service:

[legend]
Collaboration diagram for TAO_NS_Notify_Service:

[legend]
List of all members.

## Public Methods
| TAO_NS_Notify_Service (void)
| Constuctor. More...
virtual | ~TAO_NS_Notify_Service ()
| Destructor. More...
virtual int | init (int argc, char *argv[])
| = Service_Object virtual method overloads. More...
virtual int | fini (void)
virtual void | init (CORBA::ORB_ptr orb ACE_ENV_ARG_DECL)
| Init. More...
virtual CosNotifyChannelAdmin::EventChannelFactory_ptr | create (PortableServer::POA_ptr default_POA ACE_ENV_ARG_DECL)
| Create the Channel Factory. More...
virtual void | remove (TAO_NS_EventChannelFactory *ecf ACE_ENV_ARG_DECL)
| Called by the factory when it is destroyed. More...
## Protected Methods
virtual void | init_i (CORBA::ORB_ptr orb ACE_ENV_ARG_DECL)
| Init the data members. More...
virtual void | init_factory (ACE_ENV_SINGLE_ARG_DECL)
| Create the Factory for RT Notify objects. More...
virtual void | init_builder (ACE_ENV_SINGLE_ARG_DECL)
| Creates the Builder for RT Notify objects. More...
void | init_main_thread (CORBA::ORB_ptr orb ACE_ENV_ARG_DECL)
| Apply ORB Scheduling policy to main thread and set its priority to the lowest available. More...
void | set_event_channel_threads (int threads)
| Set event channel thread options. More...
void | set_consumer_admin_threads (int threads)
| Set consumer admin thread options. More...
void | set_supplier_admin_threads (int threads)
| Set supplier admin thread options. More...
void | set_proxy_supplier_threads (int threads)
| Set proxy supplier thread options. More...
void | set_proxy_consumer_threads (int threads)
## Protected Attributes
TAO_NS_Factory * | factory_
| Service component for object factory operations. More...
TAO_NS_Builder * | builder_
| Service component for building NS participants. More...

## Detailed Description

A service object for creating the Notify Service Factory.

## Constructor & Destructor Documentation

TAO_NS_Notify_Service::TAO_NS_Notify_Service | ( | void |  | ) |

| Constuctor.

TAO_NS_Notify_Service::~TAO_NS_Notify_Service | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual CosNotifyChannelAdmin::EventChannelFactory_ptr TAO_NS_Notify_Service::create | ( | PortableServer::POA_ptr default_POA | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Create the Channel Factory. Reimplemented from TAO_NS_Service.

int TAO_NS_Notify_Service::fini | ( | void |  | ) | `[virtual]`

| Reimplemented from ACE_Shared_Object.

void TAO_NS_Notify_Service::init | ( | CORBA::ORB_ptr orb | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Init. Reimplemented from TAO_NS_Service.

int TAO_NS_Notify_Service::init | ( | int | argc,
|  | char * | argv[]
| ) | `[virtual]`

| = Service_Object virtual method overloads. Reimplemented from TAO_NS_Service.

void TAO_NS_Notify_Service::init_builder | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected, virtual]`

| Creates the Builder for RT Notify objects.

void TAO_NS_Notify_Service::init_factory | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected, virtual]`

| Create the Factory for RT Notify objects.

void TAO_NS_Notify_Service::init_i | ( | CORBA::ORB_ptr orb | ACE_ENV_ARG_DECL | ) | `[protected, virtual]`

| Init the data members.

void TAO_NS_Notify_Service::init_main_thread | ( | CORBA::ORB_ptr orb | ACE_ENV_ARG_DECL_NOT_USED | ) | `[protected]`

| Apply ORB Scheduling policy to main thread and set its priority to the lowest available.

virtual void TAO_NS_Notify_Service::remove | ( | TAO_NS_EventChannelFactory *ecf | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Called by the factory when it is destroyed.

void TAO_NS_Notify_Service::set_consumer_admin_threads | ( | int | threads | ) | `[protected]`

| Set consumer admin thread options.

void TAO_NS_Notify_Service::set_event_channel_threads | ( | int | threads | ) | `[protected]`

| Set event channel thread options.

void TAO_NS_Notify_Service::set_proxy_consumer_threads | ( | int | threads | ) | `[protected]`

void TAO_NS_Notify_Service::set_proxy_supplier_threads | ( | int | threads | ) | `[protected]`

| Set proxy supplier thread options.

void TAO_NS_Notify_Service::set_supplier_admin_threads | ( | int | threads | ) | `[protected]`

| Set supplier admin thread options.

## Member Data Documentation

TAO_NS_Builder* TAO_NS_Notify_Service::builder_`[protected]`

| Service component for building NS participants.

TAO_NS_Factory* TAO_NS_Notify_Service::factory_`[protected]`

| Service component for object factory operations.

The documentation for this class was generated from the following files:

- Notify_Service.h
- Notify_Service.cpp